summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2017-11-16 15:42:19 -0500
committerIan Stakenvicius <axs@gentoo.org>2017-11-16 15:42:19 -0500
commit6f3d0874360f3c58ba1518fb22d2fcd7114ce8e3 (patch)
treed0d8c47af6e1e14a032cd822decc340ce8333707
parentfirefox-57.0 bump, initial commit ready for build testing (diff)
downloadmozilla-tb57.tar.gz
mozilla-tb57.tar.bz2
mozilla-tb57.zip
tbird: add 57_beta1 for testingtb57
-rw-r--r--mail-client/thunderbird/Manifest58
-rw-r--r--mail-client/thunderbird/thunderbird-57.0_beta1.ebuild364
2 files changed, 422 insertions, 0 deletions
diff --git a/mail-client/thunderbird/Manifest b/mail-client/thunderbird/Manifest
index 62105c2..50f57d2 100644
--- a/mail-client/thunderbird/Manifest
+++ b/mail-client/thunderbird/Manifest
@@ -1,4 +1,5 @@
DIST firefox-52.4-patches-02.tar.xz 14412 SHA256 28e63a625cb22cec73fe5efd952566d6bd965dc453f205b0c00b2fb3b580dcdc SHA512 6befeaefc118bc161ad05eed619142814e5cf31aaeede3fb5618b1f5ace887e9e1fa6914320b513404380a426cfb0f45107435f92b2d7e95d95cd7c44e03ad96 WHIRLPOOL 40323ecada75c7ee05ae19cd98bb262937a0d70f5fd7a25ec9454227f33ce81f363b602222b8f0bea879224e9f7c0132de982b2c551e40a0c7c63b8106efca69
+DIST firefox-57.0-patches-01.tar.xz 10964 SHA256 96894412d99bcd0d4c74507e4980e4f6bfb445a5cce4b7fb213088999c84f78a SHA512 5f4c668eb1ae9b4067997973e7f5fcfa4d3de7b60520f7cc2a96b97b0814e921f777862e45fa0ffad231040d99e98f259e2482d4a5d7be096abc5d5860bfc593 WHIRLPOOL 5ab3260772f2dbc93914613b3bbaa3e6448247d06feca9ba2379067674aa09bddcf22ad6d8ddac9c0d1232c12381a80da4b16d8d5488d29f41e62e002d6d1f30
DIST gdata-provider-3.3.tar.xz 85628 SHA256 1a1751a5dd3d941bb28051c1d3af5d96c6c06b00c1b2d6b2442e312ec14644bd SHA512 ae0c0e6fd42d6e7088256ca8a4be5b0bac84b2f331b51afdc982354caef60b6ba631d4f76bfba7523000b49235c8f8c63704d90acf24b34b14696b709be9342b WHIRLPOOL 2b77c9343437633dc8b26365b6f172999364b81b4928744e0eba0d0de50179fbd845085cc4fbf95a0c068a9b76bd2280db8f9f349ded680686ab6cac949bbcc6
DIST lightning-5.4.4.tar.xz 1872584 SHA256 8f330202f348734228ad5fc599a7a626506a3517393cc35708129084cd70262a SHA512 2168766a1fb3c4c77a3d13552518ac9b3e78f23a016a37a439b885b6eb56de369de85d2ba4fdbd201b54dc210493e94cdfd8d7dbe0573ae6d9d145ad97771ddd WHIRLPOOL b802126524d6aad3cd2399f2631c9898557a7b8491172ae29aef5f23d9f9f3e271de07accecd3bc1cf992e1a9c1944d02bc9091b8de94cde7fcebd3f7266bf18
DIST thunderbird-52.4.0-ar.xpi 604235 SHA256 5b17a53001f7605f9e12a9881573f93940dd5756bd54788546201c97fc323c3f SHA512 bfadc747f3b73796cc5822c81567aadd3d34a420ddd104d042d47041b03b7e62b9e1d95e117d5b9ee14897187dbee776896a2bb0c7dc62ca70cc1e1e5f33fd89 WHIRLPOOL 7ff63921c6452ffca21cba430ad45e7953083a821801d259ae987c67cc7a0113d4df8608bd787aef39392744e661d04b5fd64d3c1b14d9b3586938b9fcf27027
@@ -58,3 +59,60 @@ DIST thunderbird-52.4.0-vi.xpi 637164 SHA256 7541bfec6716ae705afc51f66578100662a
DIST thunderbird-52.4.0-zh-CN.xpi 593612 SHA256 c1ef258d0b0b3ec1016c7878ec20c7af8a1d1cdfdad785389172b30739b674d6 SHA512 90611cca3af7e142a1800749e368ab9974aa470963b6c2f5f53937efc6b0e06cc29ec3f86922eee82e3603f7084ee1fdd146926fc972e722e160c2696df3f413 WHIRLPOOL 5b6755bf1ad8d5dfa5b93f7f74c3e97c09b9caf8ef0f63dd0888d0c00e482abf74e355e2ede4c578c0111eaccfc2d6933aa7eb93e6151441b46dbeda2ee6244f
DIST thunderbird-52.4.0-zh-TW.xpi 595729 SHA256 7a1dc6483c83b43852c892f5b26b29fbdb0794c81bca4ecb5d1080e8cc371da4 SHA512 0dc359b4cc57972425c175175c257134da68a207f96f127c38758e3fb6f5d8797db9ab14cbc87518b2f855a09215d96eeec6cfe0213b1d1e548798c2d5d6449b WHIRLPOOL d1d7f515bc799f3f3456517479935322b34650025caef473ffb8e6fde347f4c977ae30d10f71862c53b32d6ed7d2ffab8d4153ccfc5cd0ce2a4d83af1be91440
DIST thunderbird-52.4.0.source.tar.xz 228561704 SHA256 7f57b5b4d4ec42b04afcff8327abc2d3c6185c0bcc1ad138825d021a2d3f578c SHA512 6ac39cecca9e53b51754d7a8bd7cae228d197eb234b03a2386c16fd665f4f7a67f10bbdf981c20b3f7a21a5ef67e2771154a3dd9f249c6a884c48a9e59bcfc78 WHIRLPOOL 54a51c417bdb7cd8fa89643741ebd1d15e589bbf1aed5a87dbe366657287f33496014e82caa220d55477dcca6c99784811b7effb1e1d4ee60b89c4485709b93f
+DIST thunderbird-57.0b1-ar.xpi 618082 SHA256 407fa8cd41013a635a0dc20c9cd0ffd18e2e82af5430e0f22ee0830439cd5a19 SHA512 2834f430148d1195e492a6a3c78e7fe67d7a900e94b36b6cc4c5f66fc0ebfdf821146e25b297830c717630ade34baaa12b689c77ad22243f9ba5451cdf24e612 WHIRLPOOL 6b4acf73cfdfe356017028037a4c67647cecb9d21f297701704813735c677321f9603f5fc7bd6469af0680abc9e47bd37ea99e2020e9efec2e3052f40adaf7ef
+DIST thunderbird-57.0b1-ast.xpi 552838 SHA256 8e7b294aa40bc81af334f4efe09d37f79b1aa2784f96b33a9a2cc02aedebcbb5 SHA512 203a33ebe5dea8c49d637a780df22590da5659dce55e14832bb66d3aa732d4c89e7ec4cdfe734bcb42285dd3ba52114bd2cbef15871b6555a3fadc6dcff2f6a7 WHIRLPOOL 3f063c369d9908f4f28abded716e922a43dfb6eef06504b7b69c7d663a17190c9b15871c60a203751f930586b068bd1b603844d093f07c6458660d672fc84247
+DIST thunderbird-57.0b1-be.xpi 572954 SHA256 8c5067b2b1ef3246b4a1cadddf935cf4a285b1096226df982135f2ac0c8f9b6f SHA512 658bb51dcc38753a2458483abfe7403af3cd2cd2a2101825e9330df4dc9ab2562278353b23f672321f38a9f9d8c5c00b9736cf1a919898bb02a064aa3233466e WHIRLPOOL 09cb917fc79b77ed19f08a019d5571857562590d00b776f9ae15b2dea7a8e422349cecd0aaeebbd197d9484fec185d039b7f1be6c1df5e8529b411932f5a6d26
+DIST thunderbird-57.0b1-bg.xpi 651999 SHA256 b13af4c8e05198bbf98aa909932b1fdd58b872a29b5af2d91a52d052b78e8c5c SHA512 f57c44ecf9da5cfbe02d76de70b4c73fdf0e19a4f6821e56dbdc2baa57a95907093ab3c174407cd2f9655b1b1f08cb607131f5d60dce04f0de987e7026e3b40b WHIRLPOOL 587a038b05be187fbded78e1749ca8f5b0f1e47e4733291457d09add317ed4468851e3e503c3cfe0a4512890c27af5a67b842a95d9810cf43befca0b3c78563b
+DIST thunderbird-57.0b1-bn-BD.xpi 673333 SHA256 8693b0563a808dcacbee0276da5b9a226399fb9ecd220c74521842f4ad356ba1 SHA512 40332ecfe99d55fe6fb7cf47532db1c04a6d58ed0a4986e7b07517456c0b74a28bd7b7444ed04dcc1664ee8878ffd35c2ef189cd6155f3b76e8f7daf057e40ba WHIRLPOOL a3469db8b2d669a57fa3f9df58881a6f5aed09db95890ff8c17c684c10913d20cd1edd52b07aa1b56107edd8a3c254d2749d92c19ad7675f7084fd65c864b145
+DIST thunderbird-57.0b1-br.xpi 572914 SHA256 e521795daa5a6e0325817980b991b7d57346f6e76d29a5f7f1142a92744d1ebc SHA512 2f54695e5b9dd28efda25b04ba69092349cdcef46449e3897bccbacf8522708efdfae8d726f89d0d0f108f0bccc685ba15d5189c3ff3f4e58a319105fc41736f WHIRLPOOL 34008186f8f86f3496a6cc725ee768ed5b149a42e35553af3d37237de635a8162f2a93c08d622ab0dc859accd7bb2892bae9e6890717e8f9d703c2cc078b6e87
+DIST thunderbird-57.0b1-ca.xpi 583399 SHA256 a098fe45b86c541d0a15c4c35256f797917af2946a1a97b998549aca17703b44 SHA512 45022899e2c1f9d474fbd08c655aaf18b551491fd502cdbe8c2d6ee859844dfa42f4fb36565dc05bbe93610ffdbcbe08356e825dee3a87a5afc20dba591e1b82 WHIRLPOOL 0380308dfdfacb28b8db3d6de652006edbb5a4cb03f9fbdea2e4058fef9e41cfe057dbf112c2585b101006032d4c1db63699c5f03086597afdb83b357c68093f
+DIST thunderbird-57.0b1-cs.xpi 594624 SHA256 f486c989c5e7ea294433fad2ee52be95f940ba365f2ee5407585a3d062848888 SHA512 0cecf81bad0951a7160d87f5e3d6e83f39e4b4278da6531f8aa1795e5a6309c975da61925b754ad14011a446ff1a39122c0f4fe9c04a30ea6d63986a01645faf WHIRLPOOL f105b7197c71ca3de87515351c042a7f9d00ecb34779f432f1f202bbfd6a04ba2d1276ce9da6a5ac2c971250b449f7cc42c4a9bcad0592bddd65e364fa67e26d
+DIST thunderbird-57.0b1-cy.xpi 570248 SHA256 e5898951745dd0349dbcecc9b9329e36186049ace73a53ead5962cc63a18f708 SHA512 474dd2cbc036d7976a8be877f321fb8e069f99dc526f93dbfac3cafb9acb77377da10f6579a56b592b6bb60dd97179ccdc139db48e80789d7edea5db619ddc24 WHIRLPOOL 76ff76fa99b728cafd486422699dd9b501122a20fa8d74db11b3a44aae9e11fa4a1d195a3de065115328099f35003e405830fbb85111c31164ea0f6e38530232
+DIST thunderbird-57.0b1-da.xpi 557962 SHA256 a9495e326b260733b1044ea637676aa8f1efca685942e599f1aba1c68531e694 SHA512 1e184039cff4faa35a32cbe0fcc31a4f2d7ea7cf7386007f15e0b19d9836a712bc1e741514e7e4100f9c9d8079d6a6c6d957a7834849699cdfcc229a421dbcb8 WHIRLPOOL 238bf8e8d7acb6c8c3a1ea3006359477a51b6bb731e3a58956caaaa090e21892752b92cd8f80f35295d7a508b0bb0aab74dfe59cacacd0f2dd02eb0382590fbe
+DIST thunderbird-57.0b1-de.xpi 571877 SHA256 cc60530a0bc62e95b300952ee4af89667f4e6c63f03340ae8249fd422a18e8b2 SHA512 459b3f2ef24d395a472cd013213d7b328da66b240b1cca0bf5638642f0c17499dc74b383b7dac995ca10af5c43733b7ed7c0213bfcc0c5787247157b0601bd61 WHIRLPOOL 628ba993d1491fdca848b29e2bb2bf862e3248f00f4bef819b9fe732ea0fb2d579513395051f1cd04f0cac84d553f9814098244fa41484ea59cb8bb0ad0cab1e
+DIST thunderbird-57.0b1-el.xpi 681378 SHA256 0407ddb9675dffd6ffa828fa1b0bfceb9f123e4d7e4cf27847030ec7f9b36bb2 SHA512 9c15c55bc6cafc7978fd2bca278bc127f818776cce5c154178cf899e72698a582fe06682a7cf7be8f676fce86a5a7f4415e1e9476332af0c7a6e7ac4f32a8bc5 WHIRLPOOL 942b2d7333581f6d0b16ec4b18f537b98ac789c5a17edbedcbe5f8c36c6f05b95002771bdcf935f4cbce390929944def1a0e779d091e610b953c6caf4addbba4
+DIST thunderbird-57.0b1-en-GB.xpi 543148 SHA256 e004690de4132972a0b48e5ec4f790c1be4d41fb76adf088a1f458157a6fac48 SHA512 bb6e7c094c7a7921cb2a1df5d1ed587af75c5f5b4cec7e6b40b6de7f3c00d063a64c6b23e13a4aad2b39fc4b4eb0f8bc5c76408c608425f9dfae85ebe861b218 WHIRLPOOL 76d5e397d439d602124bbfaef4334a29c0aea4494968f444412bafadbe18dbb9a0d166ac20b1a9824f206fa853b786ae7598005a5479433af6c9aaa56f635bd4
+DIST thunderbird-57.0b1-es-AR.xpi 580090 SHA256 9196af36762a4a872e971c16f634dd2521a23102b64d4e34d6061a9735e7eaad SHA512 a71d909a3ae4c21f6dea5421c20809e18dd2cb49a3043602a134de9951672c39ee870dd29bb067d00754f6585e780c637cff2b2f6544d885c6c7dc4fb703f726 WHIRLPOOL 552e7c5ad19177ae1e86d2f4cbb95565e9ad1bf656d8d20aa63fc12e0e5e06d732c18fe30f03b9b581a2a0fe1eb9d1d198e680d0fe41c36d05618b05a04385b8
+DIST thunderbird-57.0b1-es-ES.xpi 451540 SHA256 557903a2124f58c4a490e18304d86da847b4b3ea3ddd451824907c6537bbf481 SHA512 149bf42027baeedaeb6b88ae84a9228617f478a9a0458a42af847691140bc9f91cd4b48708aa228573ac417f9a9aa0889c5cbb40f57a4f73ad05bd80756109fa WHIRLPOOL 61f4592de0756fce13e8df34bbaa365e519498c68eb76eaaea00f8403aa70e1cdc4b821625b391f7dcea51be183d32d77fd84dd19eb210b0db69eb19fec5d44f
+DIST thunderbird-57.0b1-et.xpi 563854 SHA256 f1652d68d5eb05774cf33413bbbc7648a2485c24ebddade57d3accd49dd081b4 SHA512 cd935e936776b9d1a72f7ad08b7ed987a2f5ed719bf01f10b667108d28ae8e97ffc69c95b38824f167ea7c6b7115b7c3fddad0d224537d241ab4692d1701e454 WHIRLPOOL 14046bb93dbf5f03c8995dede9dd757b66391921680641bbc891cb4f042f4584f84b8392d83fb3a9a2947094e35bec092a79a2c372e1a3cb91d0ca0367d9a5cc
+DIST thunderbird-57.0b1-eu.xpi 569282 SHA256 11f2cf8ce367f9c0e35bbbe7fba9fbb57594da73ebfa4a0d462f403d3ad91a44 SHA512 235db8d36309ed4fabed29d6d5e13ae2d6e6bce705bf17ef6ef7a613c90aa174302e999f6ff6780db1bad6b4950ffccf342cd7e853ce46e597f965deb338a710 WHIRLPOOL 55d5da1cb169c999923e36d8c42b189d049102045364b573312f60f5bd96398eb5bb8b581cd4fb1c611e4594e09ca975a3a08ef2ecd900d1e5b0bd49be866555
+DIST thunderbird-57.0b1-fi.xpi 563925 SHA256 f2e71c568af226b65d7b9042d86fa2403929c97b0d3f6d3f1799e8df9f869ce6 SHA512 7f6b2e96e977acd08020794ee177383fc7629fe680c1bb4a29cd1d684d7bcd05bf32226e3209ec584ea885687496a060e78ccd5a883032673bcc6610ea77854d WHIRLPOOL 4abdaf0e3bbc5528bc87455e3306abb23ea03b87d93768a605906dbbef605a36b82e501055f894055304190166e216394c77d318da6cffad0c3c9ed81183cdd0
+DIST thunderbird-57.0b1-fr.xpi 595306 SHA256 bd43051435a08a2704d63ae008d2f110a5e52d973cc84a29bf21ba2eb292b9cf SHA512 5467e31da2bfaa72339090aa654a82fff03b27f109f5fe1a5934f6fbceb27b9fa40d26a17ff6786853a225b7fd4e983c30f1c743e77f9a35df185760b24c1f6b WHIRLPOOL 6943d4948fad26ea30e3a7580818badfe8466e984f1c24ae6ac2579168aa6ac594cecf142a482f9a3f85fee02bf454bbfc3fb0b092f4b375096ad5ae23ce5350
+DIST thunderbird-57.0b1-fy-NL.xpi 579595 SHA256 e9618cffb3bca63637473eb95f3b3eeb5dbf71312b41572e88f4f98ec305bc3e SHA512 fc9cee9e503ef7e60887c22dc38f98787688050bd3198b2844dda1a8e19c26062c1e70fc34bc3175ef91ba0ac9ae31c554b21edf91c22efb93f29b0b4b133673 WHIRLPOOL 7920978abe9d5a1b29d55a4d5661a5e971a4d021adc205eafb48ab404dad49e165f4507b93b03ad459a348d6d3460b011fb14c222daa39818bd4226fd1ceb475
+DIST thunderbird-57.0b1-ga-IE.xpi 598425 SHA256 abdb67602da01675b12a4a31220942d0fffdf2da18c6049cd99fe787c69fad0e SHA512 8f7916db5a5cc1bd3cb6e207fb9aed0d0c24656c44872c6b947ac5c2b045185c8ea14b4ee9f97fa30024d5626141ab8a8f2718ac38ca7bd68984f8b6953f99fb WHIRLPOOL 7e339aea1da7ec17b39fe62a91845eace1a1ea9de70d066d396bed776431d1a47eb9bf57caef3c818b8147fa0a127368708be0962b8949f242e8c52830dd12ae
+DIST thunderbird-57.0b1-gd.xpi 587441 SHA256 2f704089e2a77a9a68677af8ed1657f00f5fb271fe1fd7ef0b6a40cfd19ce2a9 SHA512 b31f6020f5cf27018c4141b17162b10c31856c743ad44e207a411596b5751f938bd6c3ef389fd12fa1a2bf6f56d23e2871eacb44fbe614b0b4f206fc435332f6 WHIRLPOOL 8007dbde86acc64a658adfc9929aa9999c827fb4f5680f38f4eecdc12e2590703d94d903c9cdc79d6c8262137b4ab96c39beb1049cb5b4a24f35190f7d0853d6
+DIST thunderbird-57.0b1-gl.xpi 576271 SHA256 5d4ad404db9b0264332397b0f95a8b01db2f36092a37c4720c0674be44b643df SHA512 2d63e0e6267723337b1710fad638ca5f1fccb23ef29102f664d260c6bd6afaec922444d371cb7a03eacb1fd1453e34612b9dc617a84e2cedcae2295aaf36d1ce WHIRLPOOL 5b0933a95e2e27ad559c4728d8446df9cc74d02423c3bc9d8e6185f5b9785f8b85ad08a76c379ba316dcf5982c2d3467c91346a9190d0ccbf340d91b26d2d991
+DIST thunderbird-57.0b1-he.xpi 603428 SHA256 f8ed8647364553c548a6c268097e622c2dfbeee594f9448108c2fc8c642cb97e SHA512 34fb2277e4d7b3ab145c7a982cf3dd964d25c792168d09d0af5f7324e4e114951e080d3b947a132607ff56f3e304991357c80a4c3bfb8fe4d33146f99e924236 WHIRLPOOL 640aec53eca1718a1d6b04152b3197a50b77b3c85e0e81abce5baa1b77ccb0c44ab6ab6ebfcb6c97162e059266c59e3c266dddd9a3854168f9aaadf9dfb55286
+DIST thunderbird-57.0b1-hr.xpi 577416 SHA256 06ea103af67ccec1c0e196960f461bc9cdd26dfd0fd4326042a2193caea00879 SHA512 0765a72cc414d87bbad1706f3c4f6eef0df63c58ce3df31527d851e26271a75347462d9c8e2531638269d3fd29d034c5f441c18668852295891d9f3b92abe86b WHIRLPOOL 8a163325bf65c824a728f25cfde47d2a3094a7a3e0ebcb430d4d08631864ce7979d941d15d0476850ea48016e65bf841c756734f59596d483949bf124bf2a69b
+DIST thunderbird-57.0b1-hsb.xpi 597930 SHA256 2e75131cbed21ec2f964e9e4aedc64db251ebd72ff24a7a6f451e4a8333140ae SHA512 384ca1363cdcaa1797ecdba744e979387c6f39267da03097e9739f5e4db21acc4881f6eaa0e6d9ef1c13152ad56819e339584e1d286d5f5492e53bd23422416b WHIRLPOOL eaa4b07db62fa74e089cdf3749d805dee67696cef78dada32549d8a3a5f8f90265cc6531904b3e82a1ff484f63f72c6d0263c03ccdce03264313196562db742e
+DIST thunderbird-57.0b1-hu.xpi 601218 SHA256 ce588882341bc2957a1d2a8a90a660c1a88145af5d35c649e9cdc53647518ca6 SHA512 d49babd25edf05b78cee6fb839eb9f7ace9c89c127f87e468225ede69e7f16c940bc68c6fbfe22673e2c32a114890f55dbcb4007c84addf91c4ea6e7e6cc2722 WHIRLPOOL c92dd41fa6ea5faf57cc0730959572847bbbe9ea8d5514bebb2ee0a3931381350488772bc6cb83409cfc285ea34589ee7cd4a2685432bda23ed30ee0208ea00d
+DIST thunderbird-57.0b1-hy-AM.xpi 644730 SHA256 095aed3d885160bb63a5d516cf026153c23d4c352026d927ed027c9da3631f9c SHA512 28e53506ca6d33cf832b01c34de7737304fc745c8f8cb0b6ef7b5b7a15c71de2201fa98c28a08a1b125381f7eaee7d9e424d3a8ea6e2f8bfe5b64fab975a073a WHIRLPOOL 2933febb97fb0f188cf316e8487a6a5bab7906245e7a33fd40de6e057f6c89316b249944a28d1c533933d8c3d0bc245c3907dc73f4bfb8bdef422898c962cc26
+DIST thunderbird-57.0b1-id.xpi 559693 SHA256 3ad9b6586709b10324cf8d67eb9f3615e2f987f3e26d04058a098003f03d2faf SHA512 66ccc36a391528a057105df2dc20abf9c7705d7d155a8d092430d1a401386c046bbad31757a91b5241dd3ad5c4b435dbfde298cde7a0b43ee7e0d35a7f804c1c WHIRLPOOL a91d52921fed6a777fee00996ffec3be8ef6c80fb5877ec05b5c6761f9f0355ad6dd202450023c63515c1d51d12b529166c22afdbc92263c9217e166a8e56271
+DIST thunderbird-57.0b1-is.xpi 569086 SHA256 1a531bbd8c638c0283be8362e682008178f71e46e4bb72e90028b78b911b6907 SHA512 9925896715bf345534ec4f4fd70570caff53e50ee995c3f3de6836b6e09947326bdc9826acd813431ef3d3be8db13651f593ad271b24a184e27e947056c95bfb WHIRLPOOL 9ae78201b8dc829d696a4d63a746737c016f8ed3bbddfae55e30a25e9c466dd90474367a1b7727806914a18fca79c7a7bcda57d55bb07aa5ad556311c3b5010a
+DIST thunderbird-57.0b1-it.xpi 468397 SHA256 04c5da1bfa91e47d8addf32b5f65365ca4831032663b8ad498d2737cfa3b2a8a SHA512 d2517f9298d52bb36dca62f4b2e5ff73b624c29f3dc1fe0f134054da55d3f20f73161bae7b71408305c0ebccb7dfbffb5692c1919c4d5f184bd343a864100bfa WHIRLPOOL bd0a176db69cced613e511d1a870e60cbe080f05b0c35e6c972767e3ca6acb5ab76b472d8afe37ff9459b1216540b54111e47381dbef6f067113b42e88676a83
+DIST thunderbird-57.0b1-ja.xpi 643185 SHA256 3db58feac358320dfe2a35d15ed9fa47d839eda2a29113e7aa88a96e92f8e8e3 SHA512 4198b9f4f00f8738cd7a909b87bb8a7885ab0eb77553580ffe59081f7e4f884fb2502585f10468341be91f8b167df3289089c5617feaace0124e05bb1b78dbda WHIRLPOOL af6e0ff893ad62dcb1e4a2bc2d475d3b90fba5d69f96a063f853ea66a508603ee4706e1d7fe2ca30204f2b2139fc2fa7ab89f1ef6c3b71ce8bc53ce430cd4de5
+DIST thunderbird-57.0b1-ko.xpi 609445 SHA256 e39fb9c8d16242790ddc46a4586f1e094c629eb35693236c96cd09801e7440b1 SHA512 f1796cc1392d86017367bf0614258904fd5a4dcf416077dbeda26eb2e2ab784fb0ce11a9724e8f106453e08e432ec439145ff10203053c962ab01305cdee6709 WHIRLPOOL a016799f46225bd57f131b775599cf733283d53356a96b7fed49da077305322b9c9e68298e66750e07f64d915d8c36a22bb4fa44b61a01ce2efc4ccc9fa2ba6c
+DIST thunderbird-57.0b1-lt.xpi 594794 SHA256 17adf7c83124db237ff712436291bf7729489aec88fcc31c59a361b99fe14246 SHA512 eebf0ca809852c177489757806004d43a3487edb51e7e66ba1fb9fc8cb232beb2013f24a75254a691ea874274563f37aac2792c98bd4cf9e4c4d322e45035508 WHIRLPOOL 2679604fc30a0f92d50e4f183e8e651bf3212da061227abe4bef14d3755a7fba9665288d6039406141813b9f8144c0408b1f00102c00c5caf903f7d83d9a5237
+DIST thunderbird-57.0b1-nb-NO.xpi 566431 SHA256 150e7835f31bc558480706679e2877079498587e18f5a5a856913fe72fbd7956 SHA512 cc11ae3bcc9024125c329ee1ed69a80806f32b5c753cfc05a12480e3fa38019c0d8ec4a7b316043c4aa90cd5e8028667237ce806cfd0b3c4bf2962fb7d68e314 WHIRLPOOL 6605ecd5f40f5fe7d585e55ee1f402968394d78f401c1e4e72f354f407f0c53cca87941e7d5a85b131663195bcb22f84b7771cd44dd81780ac4f326b9bd4cb11
+DIST thunderbird-57.0b1-nl.xpi 572255 SHA256 a16aab78b69f45023a3966fc8b3942f822075b9b35c721b560442d451f66ce74 SHA512 df87e51f06924c6c512410caa2f36b0af390b14b12a8c090f5c07afa5cf2ab920637aa092b71165964702d7501d371a1f56b6fc56136f2ec3b7810ec3b728fee WHIRLPOOL bf0bfea9d8a31f36a18643d491152bb4ba602caee6213ab7fa105b4b69ba898c8da3cb8c2e0e6a9661cbae109262975ac4876b84649d87aeb2414fa0fea3ea53
+DIST thunderbird-57.0b1-nn-NO.xpi 566721 SHA256 0c9be4f8577005ebd51e57d19f3662b30703aa9a2e76dd76632cc4949d3fb5f4 SHA512 50ae91869655cd140f47b3a15dc3e23a42c3e04e81f2f405c9f6cd1a38f3c73c76f1319eede4b7e08cb4df6b615c0a057d30373ea4edcdd1761c6084904e5867 WHIRLPOOL 33ef52d08dd183df21f112e863afb68e79c54c348354e33f4c9970c9c16957cab648ab576560cdc4aeebeda4fcd2f63231d378db0b4a0dd428fec4c7d016f35a
+DIST thunderbird-57.0b1-pa-IN.xpi 642771 SHA256 c078a5f136293244b90a0aa929deeed5e93081b4853e9ceb606f271473d9c515 SHA512 1b8fe44b89d79ae13f1b25fca73e8ce597ac7b0b05a06b2823497908384ddd849144354abc4fea205ea2c78178f36c697cbff1ad9dadfb4d7eb9c1ab2ffebf56 WHIRLPOOL c6ac51b5ba4679ff42aa7ccaefca0bc6dbc68dc9373c7a387992d0ec549c0a7d9b7992c6d45572883c3c60bb3c871391d4d40d1bfeca29c57c7e7226cf9518b2
+DIST thunderbird-57.0b1-pl.xpi 474690 SHA256 33726fc0c7ee51b1e7ad2c33b43ba1083abaac8fec4291e2bbb243598f3e4add SHA512 bf89dcaf598e12177b00c001fcd1266b707161f4793f1fa2d9a471fe527b3d3acce5fbf2f608dfd98d3e2ae178690f33bdcdfbbe1fea6dec3bbbb9f976bd5ba8 WHIRLPOOL 6f5537fb7aca1c1fe6e9bc9f71ff24f5c03fb378f81062bb16b4b28bd8fb651578252df9792b277b5769b5a6c539a09581d3cb6b9ca820740686c103bdf49abb
+DIST thunderbird-57.0b1-pt-BR.xpi 573512 SHA256 03d1058eada9ea219d35f44a8de6da732452f761e4e18c7e016e569949744fd2 SHA512 d50c0d3271f3b605bb9226fb7b4983468c31831051ff7f1da60c987ecbf7e74592f851faba6a08211c02d78f6c95906e05bcca039467fd2b20d7f8437fd6560a WHIRLPOOL 8a9fa11f64c9c43788250e80bf9625a5b240755575445d005111df4a34aa92856477c8df634dc8737a33ada1665e0d87cb610bcc006aaf4eb179e814fd06b8ab
+DIST thunderbird-57.0b1-pt-PT.xpi 580850 SHA256 3010486b150278a1dd5a89cfd8dad596d0a742e70a91961212547a3e531c9143 SHA512 c6b31d7ccb06112592720edf221dcc49390928196baa2d0758f4a461809a9cf90318f34ad996d20ca1c4fdae43d20d6e43e87c30b7441432f8e94dc588ac2f85 WHIRLPOOL e68fe40777cba9a858f9bac2abec407a17765ec89d4c15e735af8cd79416e8df714b0b81ac768dd0bf754685a0f1890efbcabab00709f2eee412c964681b9d5c
+DIST thunderbird-57.0b1-rm.xpi 571207 SHA256 4436a795e54da4dd4dcf56623c51aaaa317560bcb908118c2b0def522cb9d3cc SHA512 74c059355425b2792f731070a11fb3e6d791dc0178921f98656b138f81c5f4eb6b80bed77ce3b3de8e9555037ba3514d488802a79105cab244082f835a21ea46 WHIRLPOOL f70f6289e2f193c8731f06358282abc1ec7dea0811fa5f139ad85cced183905e6054d463622ca75cca6a2b9e21ff795b26b9d4eaaab5c5a7457c847264900770
+DIST thunderbird-57.0b1-ro.xpi 574353 SHA256 eedb594619327a611ed2ba6b99daf74d1adb771d2be2fdfa1dd55d92091b7b78 SHA512 d4dbf2112691a90e2ac1d958dac17a601d2ac7edba31872f3a72b0173c0cdca6ac3d6c058126f59eca7711601089ef6a8fe4adde90eefd4cf1613b9c4a281318 WHIRLPOOL 49c27243f6372df3480c6b138c0148caf29bcc47623f44f5e08108e49afeeb7d776e86eb64b37608f754c09b9fc11f7f0feecc3703086fed35efdb631d94a51d
+DIST thunderbird-57.0b1-ru.xpi 679568 SHA256 eb44381f1402e52f088d2ca87a5121abde1e20e7a0a82d9c86b2ff8c4848af68 SHA512 3b3009e8c87bc8cf461705b2952aad753d4c92f632ce774e91d824b9a9c1101bffa111a8a93b6d52d9a6b2451cb98713dc36b21a32864f2595b0059786738eb0 WHIRLPOOL 9b8489842c8099118d02f510948169ac5ec09089bef36227103dabf004b5212e97dea08426a968c5e05cf24fb0947973080470a05d171f66e406ad36c85270ee
+DIST thunderbird-57.0b1-si.xpi 643097 SHA256 45b3bfaf91d797e4f2de726ee7bddbdc5f176f1c44379fc7ef4912e604513c4e SHA512 367584c5bfffb631e4e38d9627656b4ee2ee2c97cbb1b7640f05e40a564b3fc265f4e5a02685d35f242f1678db3314aaa73a9091fb63267adcad544509316efd WHIRLPOOL 52d820aee3020326c2eb98eff81c7ac9a68b048872463824fd4afb857c2281339e14f5e6523dacd6b330b33e6cfaed71f1339071e8563a9362dab8a36ab5aa6c
+DIST thunderbird-57.0b1-sk.xpi 600556 SHA256 a579032138cf4cd2c310897343907e17565b8a412a4170ff38a4a8228faff42e SHA512 7d0443e5a026c03b49e3bd293c9346a0907678b1e90332df67b63a50bf2da41b4927ad9c6141142527d1d39814d0c6bc46d7b66094b5c694ad82f0da06e5eb18 WHIRLPOOL ef4915f8c68fcd1cec90028bbcdff5573e5f54f0a16072f222783a41bd0b7f87aff48462b9daacc0efc8c7606f2c506f41072f08c86b264b7f56bc7404eb0661
+DIST thunderbird-57.0b1-sl.xpi 578675 SHA256 f7d2b302c32d7ff1cf032ed2d40b3c4194d108a56bf61adc04c527642c96bf74 SHA512 6675e923fd59eca139070a08272a3b23a01f104289d4be40e7a560544aa212f39a31ab923b8a9102444447df86591992b01f8df24c2fa859b50181109847741e WHIRLPOOL 5a3146d56820faa800023a9b59a2b60ec6319893331ec204490ceaf10ac0a30a0437fb57d5b2f6ddb826a8b0e78797d84f783b7ce5f344dba1e90f774e490f32
+DIST thunderbird-57.0b1-sq.xpi 584674 SHA256 9d25d2008b2b522f8e28b563a56fd734b2b6948fe597e470470e1f8ffb803b6a SHA512 db3157187e43d7627f558a6155d2416b544684d2fee77669aa1e44e6ae2e92c4e774dbaf2a88aa80247fb00878fd573fc2969d1b27f2e80b49c669a7f945887a WHIRLPOOL 7866575f91247ce04df71aabfe7498b3f36353a5c3c258607c4c05812651b36beca57e6f316013f6f19fa89372c5b3bbd5589e7dcac6325a062d34f99d48bbff
+DIST thunderbird-57.0b1-sr.xpi 625197 SHA256 afca01231729084dab2203f4529676c126f7c3bcf1396af1e3906e035cd84236 SHA512 f8986aea807a24a5a2624bd2315078c7440894c8d3a2981f0924a9a7afedec65719682f506498f249a34ed085f5c722b5640d373349f3d42cda574d4b5c8093c WHIRLPOOL 6410010c51403f3b2e597b7fa72da5eeba84e23a2d0dcbfad43c2970994d82cb2a439bf5b751af8e8177215d3bd85e50f17f2788250d8416497bddf829d8a1cd
+DIST thunderbird-57.0b1-sv-SE.xpi 581041 SHA256 ce45f975f3fc0ca00ade5a8981738f5838cc98883c916691e8a2154a225afcaf SHA512 565e51e7b62072dff6521629c781b1a770c09aaf86b6076f478e344bcca7f2759f152e8cd8b5fcfa57202989c765a1046b8813948fa9321e7ca11ea45ee49746 WHIRLPOOL 9546cfcd0f64d4d1e2d9a60a9f37f5627228f988a9f556d0d1e1b62079976a15de5b8e322f9c9bb6275217ff9a78cded1c9b17b1b88f7f1d094a179c8d787e4e
+DIST thunderbird-57.0b1-ta-LK.xpi 670770 SHA256 e98f92e4b04c8accd77cb8e04c2f61ec5d64a5f4dfa960058a56d64e6294dbe3 SHA512 1827715f4ac639986bba71cd06caeea9fea5c02f5cb9afa4b2189d712ab24424fa891e210ae650e3decd3b3f3648bba747f883e0bdab5478da90637f9c733d34 WHIRLPOOL 13ea5339982ec39878bd88529c5330563c46ffbebeceab274f89ff0aa05907d3169dd21e5961aace5598339a48c3d8d7699a640cad21af4be7361976ae2bbe84
+DIST thunderbird-57.0b1-tr.xpi 585013 SHA256 5b6b197f22c05b754f4f432e082651eca42e82a02778495a39f8b0b989905a7e SHA512 96d43548eaf197fcf2ce680b3aefb2350430936d5f41b621fbb43d9de2a22208108abf8b5c53561f72aa582e27c6615ac4876af457a3a9e4bac0f55a8cbd0705 WHIRLPOOL d7c2dd08a4f1f5895a6ef1b99fc6d4999bf5f613bf289bebc3ac7b68a947ef32a222190e3fcc655f0a1fa3c5a044762898df5eaabe6e5336196710c78cf2b06d
+DIST thunderbird-57.0b1-uk.xpi 670303 SHA256 df42b58396ee65a86876da41ac30a569bad0be9bbcf8605f8c41c46ec4e77a34 SHA512 77639fb57faba3410ee0f0b8dc09049e578402515a295210a6d60fbebb17a64ee8d799401d70932f1d1dd6b948f6a99c5524f6030d10917719a140e7ab777f6a WHIRLPOOL b41f9bedc90395456babccf039bb1edb3893283770f2b76c3c98efdf7432b8b6d1f311df369edd2a56b1404985ffc22c5707d56750855339a61589ea26d37e5a
+DIST thunderbird-57.0b1-vi.xpi 634313 SHA256 7c6cd4957ddf69e07de22feea8cb23d50b3ab5928a7d973f3bda8f7dc56dcd1d SHA512 8d4c2e12d8eefec8a16d5f3a5dca87189ec9df2fbc97e32f9462ce20396a4da6235752bbdedfbf88022ad8ecc0a3d28833546405e53f40dc921fe9eff309a327 WHIRLPOOL 1c5e736b686a3c4a5d5251cdb7a41b3511c463f45881961fd3bf1dee2436d3e19c04a565fdeedb6928b83ee79b8f3f7275549a02ca4a6f1fc52e705b1df25c85
+DIST thunderbird-57.0b1-zh-CN.xpi 610678 SHA256 6554eace2442ed1fe8412973f2e3f41975c08e31caca236313d466159a6b1504 SHA512 2cfb03791dfe31ff5405c4d82742f77f419ada1a59e84a0c508ef11aab103aa0cd59f5f015050e669c532c0608876ae7f14c3380670cf3d24d96a3afabe3578d WHIRLPOOL 4f1ad2c375cb71aa7381150fefaf479988905d376296136827d8598538194e4ccb52900e91173b682f3cf2cb52db10428aaca3c1501b3d7a94fa649e0990a12d
+DIST thunderbird-57.0b1-zh-TW.xpi 612848 SHA256 9935f3c8e171f01cd919748260fbdd80684f278e7ee01b637966bee10768df70 SHA512 f396cf13c3a4e870351672f4e6024f34e36f1af5e88b1ecf7c6f7231b250120b849f3317f84f74cd88f19cf6e61fba6d060749c4835d1c937ac3bbdf3d1a7b27 WHIRLPOOL 4f15893e37e78209b37966e93271d88fd9fd28514885b3f80d54918eac7c82a36bc83339f1322eeb23d6e7c9b36fdb644c63af6dde0fab9ff6a20d2c867cd4e8
+DIST thunderbird-57.0b1.source.tar.xz 268301520 SHA256 8fa0a32d38a33040032f9e2f2d84e53f31fb17ee0094e0dac8f068733d56180a SHA512 03be57095780b157c46ce0d8a560477d75ac5505116ca8d4b2a8b7745f009d3ad6827de1ead029bc347cce012ad7bbef52acda74060eb04e0decf5d9642ad9f9 WHIRLPOOL 07c545b7237dc1de80b12cf4ef5057c70db256093367537e9aa10853bf2cec515aff6856a631e1ffe863042d5c74d0b30172886498708795c6ca6084604ec0a3
diff --git a/mail-client/thunderbird/thunderbird-57.0_beta1.ebuild b/mail-client/thunderbird/thunderbird-57.0_beta1.ebuild
new file mode 100644
index 0000000..0b1b717
--- /dev/null
+++ b/mail-client/thunderbird/thunderbird-57.0_beta1.ebuild
@@ -0,0 +1,364 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+WANT_AUTOCONF="2.1"
+MOZ_ESR=""
+MOZ_LIGHTNING_VER="5.4.4"
+MOZ_LIGHTNING_GDATA_VER="3.3"
+
+# This list can be updated using scripts/get_langs.sh from the mozilla overlay
+MOZ_LANGS=(ar ast be bg bn-BD br ca cs cy da de el en en-GB en-US es-AR
+es-ES et eu fi fr fy-NL ga-IE gd gl he hr hsb hu hy-AM id is it ja ko lt
+nb-NO nl nn-NO pa-IN pl pt-BR pt-PT rm ro ru si sk sl sq sr sv-SE ta-LK tr
+uk vi zh-CN zh-TW )
+
+# Convert the ebuild version to the upstream mozilla version, used by mozlinguas
+MOZ_PV="${PV/_beta/b}"
+
+# Patches
+PATCHFF="firefox-57.0-patches-01"
+
+MOZ_HTTP_URI="https://archive.mozilla.org/pub/${PN}/releases"
+
+# ESR releases have slightly version numbers
+if [[ ${MOZ_ESR} == 1 ]]; then
+ MOZ_PV="${MOZ_PV}esr"
+fi
+MOZ_P="${PN}-${MOZ_PV}"
+
+MOZCONFIG_OPTIONAL_WIFI=1
+
+inherit flag-o-matic toolchain-funcs mozconfig-v6.57 makeedit autotools pax-utils check-reqs nsplugins mozlinguas-v2 xdg-utils gnome2-utils
+
+DESCRIPTION="Thunderbird Mail Client"
+HOMEPAGE="http://www.mozilla.com/en-US/thunderbird/"
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
+IUSE="bindist crypt hardened ldap lightning +minimal mozdom selinux"
+RESTRICT="!bindist? ( bindist )"
+
+PATCH_URIS=( https://dev.gentoo.org/~{anarchy,axs,polynomial-c}/mozilla/patchsets/${PATCHFF}.tar.xz )
+SRC_URI="${SRC_URI}
+ ${MOZ_HTTP_URI}/${MOZ_PV}/source/${MOZ_P}.source.tar.xz
+ https://dev.gentoo.org/~axs/distfiles/lightning-${MOZ_LIGHTNING_VER}.tar.xz
+ lightning? ( https://dev.gentoo.org/~axs/distfiles/gdata-provider-${MOZ_LIGHTNING_GDATA_VER}.tar.xz )
+ ${PATCH_URIS[@]}"
+
+ASM_DEPEND=">=dev-lang/yasm-1.1"
+
+CDEPEND="
+ >=dev-libs/nss-3.33
+ >=dev-libs/nspr-4.17
+ "
+
+DEPEND="
+ amd64? ( ${ASM_DEPEND}
+ virtual/opengl )
+ x86? ( ${ASM_DEPEND}
+ virtual/opengl )"
+
+RDEPEND="${CDEPEND}
+ selinux? ( sec-policy/selinux-thunderbird )
+"
+
+S="${WORKDIR}/${MOZ_P}"
+
+BUILD_OBJ_DIR="${S}/tbird"
+
+pkg_setup() {
+ moz_pkgsetup
+
+ export MOZILLA_DIR="${S}/mozilla"
+
+ use amd64 && export BINDGEN_CFLAGS=$(pkg-config --cflags nspr pixman-1 | xargs)
+
+ if ! use bindist ; then
+ elog "You are enabling official branding. You may not redistribute this build"
+ elog "to any users on your network or the internet. Doing so puts yourself into"
+ elog "a legal problem with Mozilla Foundation"
+ elog "You can disable it by emerging ${PN} _with_ the bindist USE-flag"
+ elog
+ fi
+}
+
+pkg_pretend() {
+ # Ensure we have enough disk space to compile
+ CHECKREQS_DISK_BUILD="4G"
+ check-reqs_pkg_setup
+}
+
+src_unpack() {
+ unpack ${A}
+
+ # Unpack language packs
+ mozlinguas_src_unpack
+
+ # this version of lightning is a .tar.xz, no xpi needed
+ #xpi_unpack lightning-${MOZ_LIGHTNING_VER}.xpi
+
+ # this version of gdata-provider is a .tar.xz , no xpi needed
+ #use lightning && xpi_unpack gdata-provider-${MOZ_LIGHTNING_GDATA_VER}.xpi
+}
+
+src_prepare() {
+ # Apply our Thunderbird patchset
+ epatch "${FILESDIR}"/1000_fix_gentoo_preferences.patch
+
+ # Apply our patchset from firefox to thunderbird as well
+ pushd "${S}"/mozilla &>/dev/null || die
+ eapply "${WORKDIR}/firefox"
+ popd &>/dev/null || die
+
+ # Ensure that are plugins dir is enabled as default
+ sed -i -e "s:/usr/lib/mozilla/plugins:/usr/lib/nsbrowser/plugins:" \
+ "${S}"/mozilla/xpcom/io/nsAppFileLocationProvider.cpp || die "sed failed to replace plugin path for 32bit!"
+ sed -i -e "s:/usr/lib64/mozilla/plugins:/usr/lib64/nsbrowser/plugins:" \
+ "${S}"/mozilla/xpcom/io/nsAppFileLocationProvider.cpp || die "sed failed to replace plugin path for 64bit!"
+
+ # Don't exit with error when some libs are missing which we have in
+ # system.
+ sed '/^MOZ_PKG_FATAL_WARNINGS/s@= 1@= 0@' \
+ -i "${S}"/mail/installer/Makefile.in || die
+
+ # Don't error out when there's no files to be removed:
+ sed 's@\(xargs rm\)$@\1 -f@' \
+ -i "${S}"/mozilla/toolkit/mozapps/installer/packager.mk || die
+
+ # Shell scripts sometimes contain DOS line endings; bug 391889
+ grep -rlZ --include="*.sh" $'\r$' . |
+ while read -r -d $'\0' file ; do
+ einfo edos2unix "${file}"
+ edos2unix "${file}"
+ done
+
+ # Allow user to apply any additional patches without modifing ebuild
+ eapply_user
+
+ # Confirm the version of lightning being grabbed for langpacks is the same
+ # as that used in thunderbird
+ local THIS_MOZ_LIGHTNING_VER=$(python "${S}"/calendar/lightning/build/makeversion.py ${PV})
+ if [[ ${MOZ_LIGHTNING_VER} != ${THIS_MOZ_LIGHTNING_VER} ]]; then
+ eqawarn "The version of lightning used for localization differs from the version"
+ eqawarn "in thunderbird. Please update MOZ_LIGHTNING_VER in the ebuild from ${MOZ_LIGHTNING_VER}"
+ eqawarn "to ${THIS_MOZ_LIGHTNING_VER}"
+ fi
+
+ eautoreconf
+ # Ensure we run eautoreconf in mozilla to regenerate configure
+ cd "${S}"/mozilla || die
+ eautoconf old-configure.in
+ cd "${S}"/mozilla/js/src || die
+ eautoconf old-configure.in
+}
+
+src_configure() {
+ MEXTENSIONS="default"
+
+ ####################################
+ #
+ # mozconfig, CFLAGS and CXXFLAGS setup
+ #
+ ####################################
+
+ mozconfig_init
+ mozconfig_config
+
+ # It doesn't compile on alpha without this LDFLAGS
+ use alpha && append-ldflags "-Wl,--no-relax"
+
+ # Add full relro support for hardened
+ if use hardened; then
+ append-ldflags "-Wl,-z,relro,-z,now"
+ mozconfig_use_enable hardened hardening
+ fi
+
+ mozconfig_annotate '' --enable-extensions="${MEXTENSIONS}"
+ mozconfig_annotate '' --enable-calendar
+
+ # Other tb-specific settings
+ mozconfig_annotate '' --with-user-appdir=.thunderbird
+
+ mozconfig_use_enable ldap
+
+ mozlinguas_mozconfig
+
+ # Bug #72667
+ if use mozdom; then
+ MEXTENSIONS="${MEXTENSIONS},inspector"
+ fi
+
+ # Use an objdir to keep things organized.
+ echo "mk_add_options MOZ_OBJDIR=${BUILD_OBJ_DIR}" >> "${S}"/.mozconfig
+ echo "mk_add_options XARGS=/usr/bin/xargs" >> "${S}"/.mozconfig
+
+ # Finalize and report settings
+ mozconfig_final
+
+ ####################################
+ #
+ # Configure and build
+ #
+ ####################################
+
+ # Disable no-print-directory
+ MAKEOPTS=${MAKEOPTS/--no-print-directory/}
+
+ if [[ $(gcc-major-version) -lt 4 ]]; then
+ append-cxxflags -fno-stack-protector
+ fi
+
+ # workaround for funky/broken upstream configure...
+ SHELL="${SHELL:-${EPREFIX}/bin/bash}" \
+ emake V=1 -f client.mk configure
+}
+
+src_compile() {
+ MOZ_MAKE_FLAGS="${MAKEOPTS}" SHELL="${SHELL:-${EPREFIX}/bin/bash}" \
+ emake V=1 -f client.mk
+}
+
+src_install() {
+ declare emid
+ cd "${BUILD_OBJ_DIR}" || die
+
+ # Pax mark xpcshell for hardened support, only used for startupcache creation.
+ pax-mark m "${BUILD_OBJ_DIR}"/dist/bin/xpcshell
+
+ # Copy our preference before omnijar is created.
+ cp "${FILESDIR}"/thunderbird-gentoo-default-prefs-1.js-1 \
+ "${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" \
+ || die
+
+ mozconfig_install_prefs \
+ "${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js"
+
+ # dev-db/sqlite does not have FTS3_TOKENIZER support.
+ # gloda needs it to function, and bad crashes happen when its enabled and doesn't work
+ if in_iuse system-sqlite && use system-sqlite ; then
+ echo "sticky_pref(\"mailnews.database.global.indexer.enabled\", false);" \
+ >>"${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
+ fi
+
+ MOZ_MAKE_FLAGS="${MAKEOPTS}" \
+ emake DESTDIR="${D}" install
+
+ # Install language packs
+ mozlinguas_src_install
+
+ local size sizes icon_path icon
+ if ! use bindist; then
+ icon_path="${S}/other-licenses/branding/thunderbird"
+ icon="${PN}-icon"
+
+ domenu "${FILESDIR}"/icon/${PN}.desktop
+ else
+ icon_path="${S}/mail/branding/aurora"
+ icon="${PN}-icon-unbranded"
+
+ newmenu "${FILESDIR}"/icon/${PN}-unbranded.desktop \
+ ${PN}.desktop
+
+ sed -i -e "s:Mozilla\ Thunderbird:EarlyBird:g" \
+ "${ED}"/usr/share/applications/${PN}.desktop
+ fi
+
+ # Install a 48x48 icon into /usr/share/pixmaps for legacy DEs
+ newicon "${icon_path}"/mailicon48.png "${icon}".png
+ # Install icons for menu entry
+ sizes="16 22 24 32 48 256"
+ for size in ${sizes}; do
+ newicon -s ${size} "${icon_path}/mailicon${size}.png" "${icon}.png"
+ done
+
+ local emid
+ # stage extra locales for lightning and install over existing
+ mozlinguas_xpistage_langpacks "${BUILD_OBJ_DIR}"/dist/xpi-stage/lightning \
+ "${WORKDIR}"/lightning-${MOZ_LIGHTNING_VER} lightning calendar
+
+ emid='{e2fda1a4-762b-4020-b5ad-a41df1933103}'
+ mkdir -p "${T}/${emid}" || die
+ cp -RLp -t "${T}/${emid}" "${BUILD_OBJ_DIR}"/dist/xpi-stage/lightning/* || die
+ insinto ${MOZILLA_FIVE_HOME}/distribution/extensions
+ doins -r "${T}/${emid}"
+
+ if use lightning; then
+ # move lightning out of distribution/extensions and into extensions for app-global install
+ mv "${ED}"/${MOZILLA_FIVE_HOME}/{distribution,}/extensions/${emid} || die
+
+ # stage extra locales for gdata-provider and install app-global
+ mozlinguas_xpistage_langpacks "${BUILD_OBJ_DIR}"/dist/xpi-stage/gdata-provider \
+ "${WORKDIR}"/gdata-provider-${MOZ_LIGHTNING_GDATA_VER}
+ emid='{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}'
+ mkdir -p "${T}/${emid}" || die
+ cp -RLp -t "${T}/${emid}" "${BUILD_OBJ_DIR}"/dist/xpi-stage/gdata-provider/* || die
+ insinto ${MOZILLA_FIVE_HOME}/extensions
+ doins -r "${T}/${emid}"
+ fi
+
+ if use crypt; then
+ emid=$(sed -n '/<em:id>/!d; s/.*\({.*}\).*/\1/; p; q' "${EROOT}"usr/share/enigmail/install.rdf)
+ if [[ -n ${emid} ]]; then
+ dosym "${EPREFIX}"/usr/share/enigmail ${MOZILLA_FIVE_HOME}/extensions/${emid}
+ else
+ eerror "${EPREFIX}/usr/share/enigmail/install.rdf: No such file or directory"
+ die "<EM:ID> tag for x11-plugins/enigmail could not be found!"
+ fi
+ fi
+
+ # Required in order to use plugins and even run thunderbird on hardened.
+ pax-mark pm "${ED}"${MOZILLA_FIVE_HOME}/{thunderbird,thunderbird-bin,plugin-container}
+
+ if use minimal; then
+ rm -r "${ED}"/usr/include "${ED}"${MOZILLA_FIVE_HOME}/{idl,include,lib,sdk} || \
+ die "Failed to remove sdk and headers"
+ fi
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+
+ # Because PM's dont seem to properly merge a symlink replacing a directory
+ if use crypt ; then
+ local emid=$(sed -n '/<em:id>/!d; s/.*\({.*}\).*/\1/; p; q' "${EROOT}"usr/share/enigmail/install.rdf)
+ local emidpath="${EROOT%/}"${MOZILLA_FIVE_HOME}/extensions/${emid}
+ if [[ -z ${emid} ]]; then
+ eerror "${EROOT%/}/usr/share/enigmail/install.rdf: No such file or directory"
+ die "Could not find enigmail on disk during pkg_preinst()"
+ fi
+ if [[ ! -h "${emidpath}" ]] && [[ -d "${emidpath}" ]]; then
+ rm -Rf "${emidpath}" || (
+ eerror "Could not remove enigmail directory from previous installation,"
+ eerror "You must remove this by hand and rename the symbolic link yourself:"
+ eerror
+ eerror "\t cd ${EPREFIX}${MOZILLA_FIVE_HOME}/extensions"
+ eerror "\t rm -Rf ${emid}"
+ eerror "\t mv ${emid}.backup* ${emid}" )
+ fi
+ fi
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+
+ elog
+ elog "If you experience problems with plugins please issue the"
+ elog "following command : rm \${HOME}/.thunderbird/*/extensions.sqlite ,"
+ elog "then restart thunderbird"
+
+ if ! use lightning; then
+ elog
+ elog "If calendar fails to show up in extensions please open config editor"
+ elog "and set extensions.lastAppVersion to 38.0.0 to force a reload. If this"
+ elog "fails to show the calendar extension after restarting with above change"
+ elog "please file a bug report."
+ fi
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}